package com.xy.entity;

import com.xy.base.BaseEntity2;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 设备-信息
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class DeviceInfo extends BaseEntity2 {

    private static final long serialVersionUID = 1L;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 商户设备资产编号
     */
    private String mercDeviceCode;

    /**
     * 商户id
     */
    private Long mercId;

    /**
     * 商户编码
     */
    private String mercCode;

    /**
     * 点位id
     */
    private Long placeId;

    /**
     * 线路id
     */
    private Long placeLineId;

    /**
     * 区域id
     */
    private Long districtId;

    /**
     * 激活状态
     */
    private Integer activeState;

    /**
     * 激活时间
     */
    private LocalDateTime activeTime;

    /**
     * 运营状态
     */
    private Integer busyState;

    /**
     * 设备图片
     */
    private String deviceImg;

}
