package com.xy.entity;

import com.xy.base.BaseEntity2;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备-状态
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class DeviceStatus extends BaseEntity2 {

    private static final long serialVersionUID = 1L;

    /**
     * 系统启动时间
     */
    private String sysStartTime;

    /**
     * 系统当前时间
     */
    private String sysCurTime;

    /**
     * WIFI是否打开
     */
    private String wifiOpen;

    /**
     * 蓝牙是否打开
     */
    private String bloothOpen;

    /**
     * 联网状态
     */
    private Integer netState;

    /**
     * 联网类型
     */
    private String netType;

    /**
     * 联网信号强度
     */
    private Integer netDbm;

    /**
     * 左柜门状态
     */
    private Integer doorStateL;

    /**
     * 右柜门状态
     */
    private Integer doorStateR;

    /**
     * 左柜门锁状态
     */
    private Integer lockStateL;

    /**
     * 右柜门锁状态
     */
    private Integer lockStateR;

    /**
     * 温度值
     */
    private Integer tempValue;

    /**
     * 温控仪状态
     */
    private Integer tempState;

    /**
     * 音量
     */
    private Integer voiceVolume;

    /**
     * 主灯状态
     */
    private Integer lightMain;

    /**
     * 副灯状态
     */
    private Integer lightSecond;

    /**
     * 磁盘空间
     */
    private Integer diskSpace;

    /**
     * 磁盘剩余空间
     */
    private Integer diskRemainSpace;

    /**
     * 内存容量
     */
    private Integer memerySpace;

    /**
     * 内存剩余容量
     */
    private Integer memeryRemainSpace;

}
