package com.xy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Data
@ApiModel("设备-状态")
@Accessors(chain = true)
public class DeviceStatusDto {

    @Data
    @Accessors(chain = true)
    public static class Up extends Vo {

        @NotNull(message = "id不能为空")
        @ApiModelProperty(value = "设备ID", required = true)
        private Long id;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {
        @ApiModelProperty("设备ID")
        private Long id;

        @ApiModelProperty("系统启动时间")
        private String sysStartTime;

        @ApiModelProperty("系统当前时间")
        private String sysCurTime;

        @ApiModelProperty("WIFI是否打开")
        private String wifiOpen;

        @ApiModelProperty("蓝牙是否打开")
        private String bloothOpen;

        @ApiModelProperty("联网状态")
        private Integer netState;

        @ApiModelProperty("联网类型")
        private String netType;

        @ApiModelProperty("联网信号强度")
        private Integer netDbm;

        @ApiModelProperty("左柜门状态")
        private Integer doorStateL;

        @ApiModelProperty("右柜门状态")
        private Integer doorStateR;

        @ApiModelProperty("左柜门锁状态")
        private Integer lockStateL;

        @ApiModelProperty("右柜门锁状态")
        private Integer lockStateR;

        @ApiModelProperty("温度值")
        private Integer tempValue;

        @ApiModelProperty("温控仪状态")
        private Integer tempState;

        @ApiModelProperty("音量")
        private Integer voiceVolume;

        @ApiModelProperty("主灯状态")
        private Integer lightMain;

        @ApiModelProperty("副灯状态")
        private Integer lightSecond;

        @ApiModelProperty("磁盘空间")
        private Integer diskSpace;

        @ApiModelProperty("磁盘剩余空间")
        private Integer diskRemainSpace;

        @ApiModelProperty("内存容量")
        private Integer memerySpace;

        @ApiModelProperty("内存剩余容量")
        private Integer memeryRemainSpace;

        @ApiModelProperty("创建时间")
        private LocalDateTime createTime;

        @ApiModelProperty("更新时间")
        private LocalDateTime updateTime;

        @ApiModelProperty("创建人")
        private Long createUser;

        @ApiModelProperty("更新人")
        private Long updateUser;
    }

}
