package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@ApiModel("设备-系统信息")
@Accessors(chain = true)
public class DeviceSysinfoDto {

    @Data
    @Accessors(chain = true)
    public static class Select extends Vo {
        @JsonFormat(pattern = "yyyy-MM-dd")
        @ApiModelProperty(value = "创建时间-起")
        private LocalDate beginCreateTime;

        @JsonFormat(pattern = "yyyy-MM-dd")
        @ApiModelProperty(value = "创建时间-始")
        private LocalDate endCreateTime;

        public LocalDateTime getBeginCreateTime() {
            return beginCreateTime == null ? null : beginCreateTime.atTime(0, 0, 0);
        }

        public LocalDateTime getEndCreateTime() {
            return endCreateTime == null ? null : endCreateTime.atTime(23, 59, 59);
        }
    }

    @Data
    @Accessors(chain = true)
    public static class Up extends Vo {

        @NotNull(message = "id不能为空")
        @ApiModelProperty(value = "设备ID", required = true)
        private Long id;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {
        @ApiModelProperty("设备ID")
        private Long id;

        @ApiModelProperty("设备SN号")
        private String deviceSn;

        @ApiModelProperty("启动程序版本号")
        private String androidStartAppVersion;

        @ApiModelProperty("安卓系统版本号")
        private String androidVersion;

        @ApiModelProperty("系统root状态")
        private Integer androidRootState;

        @ApiModelProperty("安卓系统型号")
        private String androidModel;

        @ApiModelProperty("系统启动APP")
        private String sysLauncher;

        @ApiModelProperty("系统时区")
        private String sysTimezone;

        @ApiModelProperty("是否自动时间")
        private String sysDatetimeauto;

        @ApiModelProperty("是否自动时间")
        private String sysTimezhoneauto;

        @ApiModelProperty("上位机版本号")
        private String appUpmVersion;

        @ApiModelProperty("下位机版本号")
        private String appDownmVersion;

        @ApiModelProperty("流量卡号")
        private String simIccid;

        @ApiModelProperty("流量卡运营商")
        private String simIsp;

        @ApiModelProperty("流量卡公司")
        private String simCompany;

        @ApiModelProperty("磁盘空间")
        private Integer diskSpace;

        @ApiModelProperty("内存容量")
        private Integer memerySpace;

        @ApiModelProperty("创建时间")
        private LocalDateTime createTime;

        @ApiModelProperty("更新时间")
        private LocalDateTime updateTime;

        @ApiModelProperty("创建人")
        private Long createUser;

        @ApiModelProperty("更新人")
        private Long updateUser;
    }


}
