package com.xy.dto;

import cn.hutool.json.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@ApiModel("指令交互类")
@Accessors(chain = true)
public class MqttDto {

    @ApiModelProperty(value = "设备topic", required = true)
    private String topic;

    @ApiModelProperty("是否调试模式 默认=false")
    private Boolean debug = false;

    @ApiModelProperty("消息级别qs 默认=1")
    private Integer level = 1;

    @ApiModelProperty("消息消费时间（延迟消费） yyyy-MM-dd HH:mm:ss")
    private String delayTime;

    @ApiModelProperty("指令有效期，单位：s 默认=60")
    private Integer timeout = 60;

    @ApiModelProperty(value = "指令json", required = true)
    private JSONObject command;

    @Data
    @ApiModel("指令返参类")
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty("业务系统sn编号")
        private String workSn;

        @ApiModelProperty("结果值")
        private Boolean result;
    }
}
