package com.xy.dto.pater;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@ApiModel("指令通用父类")
@Accessors(chain = true)
public class PaterDto {

    @ApiModelProperty(value = "sn编号", hidden = true)
    private String sn;

    @ApiModelProperty(value = "业务系统sn编号")
    private String workSn;

    @ApiModelProperty("业务类型（大类） issue=服务器下发设备执行指令 report=服务器通知设备上报信息")
    private Integer work;

    @ApiModelProperty(value = "指令类型（小类） 对应枚举类MqttEnum")
    private String type;

    @ApiModelProperty("是否应答 默认=true")
    private Boolean ack = true;

    @ApiModelProperty(value = "指令发送时间", hidden = true)
    private String time;

    @ApiModelProperty(value = "指令过期时间", hidden = true)
    private String timeout;

}
