package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceSysinfoDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备-系统信息 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@RestMappingController("device-sysinfo")
public interface DeviceSysinfoService {

    /**
     * 查询对象
     *
     * @param select
     * @return
     */
    @PostMapping("get")
    R<DeviceSysinfoDto.Vo> get(@RequestBody DeviceSysinfoDto.Select select);

    /**
     * 上报信息
     *
     * @param up
     * @return
     */
    @PostMapping("up")
    R up(@RequestBody @Validated DeviceSysinfoDto.Up up);
}
